package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum OrderPackageBoxTypeEnum {
	/**
	 * 箱子类型:1_本次使用；2_额外运输；3_已使用额外运输；4_车上剩余；5_瓜农纸箱；6_空箱；
	 */
	USED(1, "本次使用"),
	EXTRA(2, "额外运输"),
	EXTRA_USED(3, "已使用额外运输"),
	REMAIN(4, "车上剩余"),
	OWN(5, "瓜农纸箱"),
	EMPTY(6, "空箱"),
	;

	@EnumValue
	private final int type;

	private final String message;
}
